Get Users by Tenant
1 min
GET
https://api.upstartcommerce.com/v1/user/list/{tenantId}
tenantIdstringUnique identifier for the tenant.
qstring<p>Case-insensitive substring match against the user's name, login or email address. A user matches if any one of the three hits. An empty value is treated as absent.</p>
statusstringFilter by lock state. An empty value is treated as absent.
sortstringField to order by. Defaults to name. The user id is always the final tiebreaker.
sortDirstringSort direction. Defaults to asc.
pageinteger<int32><p>Zero-based page index. Defaults to 0.</p>
pageSizeinteger<int32><p>Items per page. Defaults to 50, clamped to 500.</p>
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
200<p>Success-users returned.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
403<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>
404The requested resource was not found in the NoChannel system.
409The request conflicts with the current state of the resource.
500Internal server error. The server encountered an unexpected condition that prevented it from fulfilling the request.
curl --request GET \
--url https://api.upstartcommerce.com/v1/user/list/{tenantId} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'